create table t
as 
select username,created from all_users
/
set autoprint off;
variable x refcursor;
begin 
    open :x for select * from t;
end;
/
declare pragma autonomous_transaction;
begin 
    delete from t;
    commit;
end;
/
print x
